(function ($, Drupal, once) {
  Drupal.behaviors.nodeMenusChangeParentItems = {
    attach: function attach(context, settings) {

      once('menu-parent', '.js-node-menus', context).forEach(function (menuElement) {
          let $menu = $(menuElement);
          Drupal.nodeMenusUpdateParentList($menu);
          $menu.on('change', 'input', function () {
            Drupal.nodeMenusUpdateParentList($menu);
          });
      });

    }
  };

  Drupal.nodeMenusUpdateParentList = function ($menu) {
    let values = [];
    let langcode = $menu.data('langcode');

    $menu.find('input:checked').each(function () {
      values.push(Drupal.checkPlain($.trim($(this).val())));
    });
console.log(values)
    $.ajax({
      url: Drupal.url('admin/structure/menu/parents'),
      type: 'POST',
      data: { 'menus[]': values },
      dataType: 'json',
      success: function success(options) {
        let $select = $('#edit-node-menus-languages-' + langcode + '-menu-parent');

        let selected = $select.val();

        $select.children().remove();

        let totalOptions = 0;
        Object.keys(options || {}).forEach(function (machineName) {
          $select.append(
            $('<option></option>')
              .val(machineName)
              .text(options[machineName])
              .prop('selected', machineName === selected)
          );
          totalOptions++;
        });

        $select.closest('div').toggle(totalOptions > 0).attr('hidden', totalOptions === 0);
      }
    });

  };
})(jQuery, Drupal, once);
